{% load static %}
<!DOCTYPE html>
<!--
This is a starter template page. Use this page to start your new project from
scratch. This page gets rid of all links and provides the needed markup only.
-->
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="x-ua-compatible" content="ie=edge">

        <title>YUYITOS | Venta</title>
        <link rel="icon" href="{% static 'dist/img/smartsoft1.ico' %}">
        <!-- Toastr -->
        <link rel="stylesheet" href="{% static 'plugins/toastr/toastr.min.css' %}">
        <!-- Toggle Switch -->
        <link rel="stylesheet" href="{% static 'plugins/bootstrap-custom-switch/component-custom-switch.css' %}">
        <!-- TouchSpin -->
        <link rel="stylesheet" href="{% static 'plugins/bootstrap-touchspin/jquery.bootstrap-touchspin.css' %}">
        <!-- Select2 -->
        <link rel="stylesheet" href="{% static 'plugins/select2/css/select2.min.css' %}">
        <link rel="stylesheet" href="{% static 'plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css' %}">
        <!-- Font Awesome Icons -->
        <link rel="stylesheet" href="{% static 'plugins/fontawesome-free/css/all.min.css' %}">
        <!-- Theme style -->
        <link rel="stylesheet" href="{% static 'dist/css/adminlte.min.css' %}">
        <!-- DataTables -->
        <link rel="stylesheet" href="{% static 'plugins/datatables-bs4/css/dataTables.bootstrap4.min.css' %}">
        <link rel="stylesheet" href="{% static 'plugins/datatables-responsive/css/responsive.bootstrap4.min.css' %}">
        <!-- overlayScrollbars -->
        <link rel="stylesheet" href="{% static 'plugins/overlayScrollbars/css/OverlayScrollbars.min.css' %}">
        <!-- SweetAlert -->
        <link rel="stylesheet" href="{% static 'plugins/sweetalert2/sweetalert2.min.css' %}">
        <!-- Ionicons -->
        <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css' %}">
        <!-- Google Font: Source Sans Pro -->
        <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    </head>
    <body class="hold-transition sidebar-mini sidebar-collapse">
        <div class="wrapper">
            <!-- Navbar -->
            {% include "views/default/header.html" %}
            <!-- /.navbar -->
            <!-- Main Sidebar Container -->
            {% include "views/default/menu.html" %}
            <!-- /.sidebar -->
            <div class="content-wrapper">
                <!-- Content Header (Page header) -->
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6">
                                <h1 class="m-0 text-dark">Realizar Venta</h1>
                            </div><!-- /.col -->
                            <div class="col-sm-6">
                                <ol class="breadcrumb float-sm-right">
                                    <li class="breadcrumb-item"><a href="#">Ventas</a></li>
                                    <li class="breadcrumb-item active">Realizar Venta</li>
                                </ol>
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div><!-- /.container-fluid -->
                </div>
                <!-- /.content-header -->
                <!-- Main content -->
                <section class="content">
                    <div class="row">

                        <br><br><br>
                        <div class="col-12">
                            <div class="card card-secondary card-outline">
                                <div class="card-header clearfix">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                        <span class="input-group-text">
                                            <i class="fas fa-barcode"></i>
                                        </span>
                                        </div>
                                        <input id="ecodigo" type="text" class="form-control" placeholder="Busque un producto aquí...">
                                    </div>
                                </div>
                                <!-- /.card-header -->
                                <div class="card-body">
                                    <table id="example2" class="table table-bordered table-striped">
                                        <thead id="thead-venta" class="bg-info text-center">
                                            <tr>
                                                <th class="anchouno">Producto</th>
                                                <th class="anchoe">Cantidad</th>
                                                <th class="anchocol">Precio</th>
                                                <th class="anchoe">Descuento</th>
                                                <th class="anchodos">SubTotal</th>
                                                <th class="anchocol">Quitar</th>
                                            </tr>
                                        </thead>
                                        <tbody id="tbody-venta">
                                            <tr>
                                                <td>Aceite 1,5lt</td>
                                                <td><input class="input-sm" id="demo_vertical" type="text" value="1" name="demo_vertical" data-bts-button-down-class="btn btn-default"
                                                    data-bts-button-up-class="btn btn-default">
                                                </td>
                                                <td>1200</td>
                                                <td>
                                                    <div class="input-group input-group-sm">
                                                        <div class="input-group-prepend">
                                                        <span class="input-group-text">
                                                            $
                                                        </span>
                                                        </div>
                                                        <input id="descuent" type="number" value="0" class="form-control" >
                                                    </div>
                                                </td>
                                                <td>1200</td>
                                                <td class="project-actions text-center">
                                                    <a class="btn btn-danger btn-sm" href="#" onclick="Delete()">
                                                        <i class="fas fa-trash"> </i>
                                                    </a>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>Detergente omo 500g</td>
                                                <td><input class="input-sm" id="demo_vertical" type="text" value="1" name="demo_vertical" data-bts-button-down-class="btn btn-default"
                                                    data-bts-button-up-class="btn btn-default">
                                                </td>
                                                <td>1200</td>
                                                <td>
                                                    <div class="input-group input-group-sm">
                                                        <div class="input-group-prepend">
                                                        <span class="input-group-text">
                                                            $
                                                        </span>
                                                        </div>
                                                        <input id="descuent" type="number" value="0" class="form-control" >
                                                    </div>
                                                </td>
                                                <td>1200</td>
                                                <td class="project-actions text-center">
                                                    <a class="btn btn-danger btn-sm" href="#" onclick="Delete()">
                                                        <i class="fas fa-trash"> </i>
                                                    </a>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>Mastercat 500g</td>
                                                <td><input class="input-sm" id="demo_vertical" type="text" value="1" name="demo_vertical" data-bts-button-down-class="btn btn-default"
                                                    data-bts-button-up-class="btn btn-default">
                                                </td>
                                                <td>1400</td>
                                                <td >
                                                    <div class="input-group input-group-sm">
                                                        <div class="input-group-prepend">
                                                        <span class="input-group-text">
                                                            $
                                                        </span>
                                                        </div>
                                                        <input id="descuent" type="number" value="0" value="0" class="form-control" >
                                                    </div>
                                                </td>
                                                <td >1400</td>
                                                <td class="project-actions text-center">
                                                    <a class="btn btn-danger btn-sm" href="#" onclick="Delete()">
                                                        <i class="fas fa-trash"> </i>
                                                    </a>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                    <table id="example3" class="table table-bordered table-striped">
                                        <thead id="thead-ventaa" class="bg-info text-center">
                                            <tr>
                                                <th class="anchouno">Suma SUBTOTAL</th>
                                                <th class="anchodos">DESCUENTO</th>
                                                <th class="anchodos">TOTAL</th>
                                                <th class="anchodos"><i class="fas fa-money-bill-alt"></th>
                                                <th class="anchodos"><i class="fas fa-times-circle"></th>
                                            </tr>
                                        </thead>
                                        <tbody id="tbody-ventaa">
                                            <tr class="text-center">
                                                <td>3800</td>
                                                <td>0</td>
                                                <td>3000</td>
                                                <td >
                                                    <a class="btn btn-success btn-sm" href="#" data-toggle="modal" data-target="#modal-venta">
                                                        Realizar Venta
                                                    </a>
                                                </td>
                                                <td>
                                                    <a class="btn btn-danger btn-sm" href="#" onclick="">
                                                        Cancelar
                                                    </a>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <!-- /.card-body -->
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                     <!-- /.modal -->
                     <div class="modal fade" id="modal-venta">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title">Efectuar Venta</h4>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <form class="form-horizontal">
                                        <div class="card-body">
                                            
                                            <div class="form-group col-s-6">
                                                <label for="client">Seleccione el cliente</label>
                                                <div class="row">
                                                    <div class="col-sm-6">
                                                        <select id="client" class="form-control select2" data-placeholder="..." style="width: 100%;">
                                                            <option></option>
                                                            <option>Cristopher Andres Arroyo Espinoza</option>
                                                            <option>Cristal Angelica Campino Saavedra</option>
                                                            <option>Francisco Miguel Liempi Morales</option>
                                                            <option>Matias Nicolas Sandoval Nunez</option>
                                                            <option>Roberto Jesus Valenzuela Acosta</option>
                                                        </select>
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <a class="btn btn-success float-right" href="#">
                                                            Agregar Cliente
                                                        </a>
                                                    </div>
                                                </div>
                                                    
                                                </div>
                                                
                                                    
                                            
                                            
                                            <div class="row">
                                                <div class="col-12">
                                                    <div class="info-box">
                                                      <label class="info-box-text">Seleccione la condición de pago</label>
                                                      <div class="info-box-content">
                                                        <div class="custom-switch custom-switch-xs pl-2">

                                                            <input type="checkbox" class="custom-switch-input" id="customSwitch3">
                                                            <label class="custom-switch-btn" for="customSwitch3"></label>
                                                            <div class="custom-switch-content-checked my-3">
                                                                <span class="text-black">VENTA AL CRÉDITO</span>
                                                            </div>
                                                            <div class="custom-switch-content-unchecked my-3 ">
                                                                <span class="text-black">VENTA AL CONTADO</span>
                                                            </div>
                                                        </div>
                                                      </div>
                                                      <!-- /.info-box-content -->
                                                    </div>
                                                    <!-- /.info-box -->
                                                  </div>
                                            </div>
                                            <div class="form-group">
                                                <label for="client">Método de Pago</label>
                                                <select id="client" class="form-control" data-placeholder="..." style="width: 100%; font-family:Source Sans Pro,FontAwesome;">
                                                    <option></option>
                                                    <option>&#xf0d6; &nbsp;EFECTIVO</option>
                                                    <option>&#xf09d; &nbsp;DEBITO</option>
                                                </select>
                                                
                                            </div>
                                            <div class="form-group row">
                                                <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                                                    <label for="desc" class="col-form-label">A pagar</label>
                                                    <div class="input-group">
                                                        <div class="input-group-prepend">
                                                            <span class="input-group-text">
                                                                <i class="ion-cash"></i>
                                                            </span>
                                                        </div>
                                                        <input type="number" class="form-control" id="desc" >
                                                    </div>
                                                </div>
                                                <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                                                    <label for="desc" class="col-form-label">Efectivo Recibido</label>
                                                    <div class="input-group">
                                                        <div class="input-group-prepend">
                                                            <span class="input-group-text">
                                                                <i class="fas fa-dollar-sign"></i>
                                                            </span>
                                                        </div>
                                                        <input type="number" class="form-control" id="desc" >
                                                    </div>
                                                </div>
                                                <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                                                    <label for="desc" class="col-form-label">Cambio</label>
                                                    <div class="input-group">
                                                        <div class="input-group-prepend">
                                                            <span class="input-group-text">
                                                                <i class="far fa-money-bill-alt"></i>
                                                            </span>
                                                        </div>
                                                        <input type="number" class="form-control" id="desc" >
                                                    </div>
                                                </div>
                                             </div>
                                        </div>
                                        <!-- /.card-body -->
                                    </form>
                                </div>
                                <div class="modal-footer justify-content-between">
                                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                    <button type="button" class="btn btn-info" onclick="guardar()">Facturar e Imprimir</button>
                                </div>
                            </div>
                        </div>
                        <!-- /.modal-dialog -->
                    </div>
                    <!-- /.modal -->
                </section>
                <!-- /.content -->
            </div>
            {% include "views/default/footer.html" %}
        </div>
        <!-- ./wrapper -->

        <!-- REQUIRED SCRIPTS -->

        <!-- jQuery -->
        <script src="{% static 'plugins/jquery/jquery.min.js' %}"></script>
        <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
        <script>
        $.widget.bridge('uibutton', $.ui.button)
        </script>
        <!-- Bootstrap 4 -->
        <script src="{% static 'plugins/bootstrap/js/bootstrap.bundle.min.js' %}"></script>
        <!-- DataTables -->
        <script src="{% static 'plugins/datatables/jquery.dataTables.js' %}"></script>
        <script src="{% static 'plugins/datatables-bs4/js/dataTables.bootstrap4.min.js' %}"></script>
        <script src="{% static 'plugins/datatables-responsive/js/dataTables.responsive.min.js' %}"></script>
        <script src="{% static 'plugins/datatables-responsive/js/responsive.bootstrap4.min.js' %}"></script>
        <!-- overlayScrollbars -->
        <script src="{% static 'plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js' %}"></script>
        <!-- AdminLTE App -->
        <script src="{% static 'dist/js/adminlte.js' %}"></script>
        <!-- AdminLTE for demo purposes -->
        <script src="{% static 'dist/js/demo.js' %}"></script>
        <!-- page script -->
        <script src="{% static 'dist/js/pages/venta.js' %}"></script>
        <!-- Select2 -->
        <script src="{% static 'plugins/select2/js/select2.full.min.js' %}"></script>
        <!-- SweetAlert -->
        <script src="{% static 'plugins/sweetalert2/sweetalert2.min.js' %}"></script>
        <!-- Toastr -->
        <script src="{% static 'plugins/toastr/toastr.min.js' %}"></script>
        <!-- TouchSpin -->
        <script src="{% static 'plugins/bootstrap-touchspin/jquery.bootstrap-touchspin.min.js' %}"></script>
        <script>
            $("input[name='demo_vertical']").TouchSpin({
                verticalbuttons: true,
                min: 1,
                max: 100,
                verticalup: '<i class="fas fa-angle-up"></i>',
                verticaldown: '<i class="fas fa-angle-down"></i>'
            });
        </script>
    </body>
</html>